> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Set ExternalSync flag for Wros


POST https://api.shipbob.com/Experimental/receiving/:set-external-sync
Content-Type: application/json

Reference: https://developer.shipbob.com/experimental/api/receiving/set-external-sync-flag-for-wros

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Body (application/json)

This endpoint expects an object.

- `ids` (list of integer, optional, nullable)
- `is_external_sync` (boolean, optional)

## Response

### 200

Success

- `box_labels_uri` (string, optional, nullable) — URL to the packing slip to be included in each box shipment for this receiving order
- `box_packaging_type` (enum, optional)
  - Allowed values: `EverythingInOneBox`, `OneSkuPerBox`, `MultipleSkuPerBox`
- `expected_arrival_date` (datetime, optional) — Expected date that all packages will have arrived
- `external_sync_timestamp` (datetime, optional, nullable) — The timestamp in UTC when a 3rd party integrator has set in our system
- `fulfillment_center` (object, optional) — Information about a fulfillment center
  - `address1` (string, optional, nullable) — Address line one of the fulfillment center
  - `address2` (string, optional, nullable) — Address line two of the fulfillment center
  - `city` (string, optional, nullable) — City the fulfillment center is located in
  - `country` (string, optional, nullable) — Country the fulfillment center is located in
  - `email` (string, optional, nullable) — Email contact for the fulfillment center
  - `id` (integer, optional) — Unique identifier of the fulfillment center
  - `name` (string, optional, nullable) — Name of the fulfillment center
  - `phone_number` (string, optional, nullable) — Phone number contact for the fulfillment center
  - `state` (string, optional, nullable) — State the fulfillment center is located in
  - `timezone` (string, optional, nullable) — Timezone the fulfillment center is located in
  - `zip_code` (string, optional, nullable) — Postal code of the fulfillment center
- `id` (integer, optional) — Unique id of the warehouse receiving order
- `insert_date` (datetime, optional) — Insert date of the receiving order
- `inventory_quantities` (list of object, optional, nullable) — Inventory items and quantities within the WRO
  - `expected_quantity` (integer, optional) — Quantity of the inventory item submitted in the WRO
  - `inventory_id` (integer, optional) — ID of the inventory item
  - `received_quantity` (integer, optional) — Quantity of the inventory item received by the warehouse
  - `sku` (string, optional, nullable) — Sku of the inventory item
  - `stowed_quantity` (integer, optional) — Quantity of the inventory item stowed by the warehouse
- `last_updated_date` (datetime, optional) — Last date the receiving order was updated
- `package_type` (enum, optional)
  - Allowed values: `Package`, `Pallet`, `FloorLoadedContainer`
- `purchase_order_number` (string, optional, nullable) — Purchase order number for a receiving order
- `status` (enum, optional)
  - Allowed values: `Awaiting`, `Processing`, `Completed`, `Cancelled`, `Incomplete`, `Arrived`, `PartiallyArrived`, `PartiallyArrivedAtHub`, `ArrivedAtHub`, `ProcessingAtHub`, `InternalTransfer`
- `status_history` (list of object, optional, nullable) — The history of status changes for this receiving order
  - `id` (integer, optional) — Unique id of the status
  - `status` (string, optional, nullable) — Name of the status
  - `timestamp` (datetime, optional) — Timestamp when the status was recorded

## Errors

### 400 Bad Request Error

Bad Request

- `map from string to list of string`

### 401 Unauthorized Error

Authorization missing or invalid

- `any`

### 403 Forbidden Error

The provided credentials are not authorized to access this resource

- `any`

## Examples

**Request**

```json
{
  "ids": [
    0
  ],
  "is_external_sync": true
}
```

**Response**

```json
{
  "box_labels_uri": "https://api.shipbob.com/1.0/receiving/1/labels",
  "box_packaging_type": "EverythingInOneBox",
  "expected_arrival_date": "2019-08-24T14:15:22+00:00",
  "external_sync_timestamp": "2019-08-24T14:15:22+00:00",
  "fulfillment_center": {
    "address1": "5900 W Ogden Ave",
    "address2": "Suite 100",
    "city": "Cicero",
    "country": "USA",
    "email": "example@example.com",
    "id": 0,
    "name": "Cicero (IL)",
    "phone_number": "555-555-5555",
    "state": "IL",
    "timezone": "Central Standard Time",
    "zip_code": "60804"
  },
  "id": 0,
  "insert_date": "2019-08-24T14:15:22+00:00",
  "inventory_quantities": [
    {
      "expected_quantity": 0,
      "inventory_id": 0,
      "received_quantity": 0,
      "sku": "string",
      "stowed_quantity": 0
    }
  ],
  "last_updated_date": "2019-08-24T14:15:22+00:00",
  "package_type": "Package",
  "purchase_order_number": "string",
  "status": "Awaiting"
}
```

**SDK Code**

```python default
import requests

url = "https://api.shipbob.com/Experimental/receiving/:set-external-sync"

payload = {
    "ids": [0],
    "is_external_sync": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://api.shipbob.com/Experimental/receiving/:set-external-sync';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"ids":[0],"is_external_sync":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/Experimental/receiving/:set-external-sync"

	payload := strings.NewReader("{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/Experimental/receiving/:set-external-sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}"

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/Experimental/receiving/:set-external-sync")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/Experimental/receiving/:set-external-sync', [
  'body' => '{
  "ids": [
    0
  ],
  "is_external_sync": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://api.shipbob.com/Experimental/receiving/:set-external-sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "ids": [0],
  "is_external_sync": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/receiving/:set-external-sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```